System requirements

The application requires a high-speed internet connection or a cellular data connection.

We support the application when run in the following internet browsers: the latest version of Apple Safari, Google Chrome, Mozilla Firefox, and Microsoft Edge. See Supported internet browsers for more information.


Was this helpful?